readBpmap {affxparser} | R Documentation

## Parses a Bpmap file

### Description

Parses (parts of) a Bpmap (binary probe mapping) file from Affymetrix.

### Usage

    readBpmap(filename, seqIndices = NULL, readProbeSeq = TRUE, readSeqInfo
    = TRUE, readPMXY = TRUE, readMMXY = TRUE, readStartPos = TRUE,
    readCenterPos = FALSE, readStrand = TRUE, readMatchScore = FALSE,
    readProbeLength = FALSE, verbose = 0)

    readBpmapHeader(filename)

    readBpmapSeqinfo(filename, seqIndices = NULL, verbose = 0)

### Arguments

`filename` | The filename as a character.
`seqIndices` | A vector of integers, detailing the indices of the sequences being read. If `NULL`, the entire file is being read.
`readProbeSeq` |
`readSeqInfo` | Do we read the sequence information (a list containing information such as sequence name, number of hits etc.)
`readPMXY` | Do we read the (x,y) coordinates of the PM-probes.
`readMMXY` | Do we read the (x,y) coordinates of the MM-probes (only relevant if the file has MM information)
`readStartPos` | Do we read the start position of the probes.
`readCenterPos` | Do we return the start position of the probes.
`readStrand` | Do we return the strand of the hits.
`readMatchScore` | Do we return the matchscore.
`readProbeLength` | Doe we return the probelength.
`verbose` | How verbose do we want to be.

### Details

`readBpmap` reads a BPMAP file, which is a binary file containing information about a given probe's location in a sequence. Here sequence means some kind of reference sequence, typically a chromosome or a scaffold. `readBpmapHeader` reads the header of the BPMAP file, and `readBpmapSeqinfo` reads the sequence info of the sequences (so this function is merely a convinience function).

### Value

For `readBpmap`: A list of lists, one list for every sequence read. The components of the sequence lists, depends on the argument of the function call. For `readBpmapheader` a list with two components `version` and `numSequences`. For `readBpmapSeqinfo` a list of lists containing the sequence info.

### Note

### Author(s)

Kasper Daniel Hansen <khansen@stat.berkeley.edu>

### References

### See Also

`tpmap2bpmap` for information on how to write Bpmap files.

### Examples

[Package affxparser version 1.6.2 Index]